Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.filter
Class AbstractColumnIterator

    java.lang.Object
      org.apache.cassandra.db.filter.AbstractColumnIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumn>, IColumnIterator, CloseableIterator<IColumn>

    public abstract class AbstractColumnIterator

extends java.lang.Object
implements IColumnIterator

Constructor Summary
`AbstractColumnIterator()`

Method Summary
`void` | `close()` clean up any open resources
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.columniterator.IColumnIterator
`getColumnFamily, getKey`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### AbstractColumnIterator

    public AbstractColumnIterator()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `IColumnIterator`
  clean up any open resources

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `IColumnIterator`
  Throws:
    `java.io.IOException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<IColumn>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation